@charset "UTF-8";

/* ============================================ */
/* ============== Include Styles ============== */
/* ============================================ */

@import '_font.css';
@import '_vars.css';
@import '_system.css';
@import '_base.css';
@import '_logo.css';
@import '_menu.css';
@import '_actions.css';
@import '_editor.css';

/* ============================================ */
/* =============== Theme Styles =============== */
/* ============================================ */

/*/*/

body.hidden {
    display: none;
}

body:not(.hidden) {
    background-color: var(--cl-light);
}

.website__wrapper {
    padding-left: 5rem;
    position: relative;
    z-index: 1;
}

.background__noise {
    position: fixed;
    top: -50%;
    left: -50%;
    right: -50%;
    bottom: -50%;
    width: 200%;
    height: 200vh;
    background: transparent url('../images/noise-transparent.png') repeat 0 0;
    animation: bg-noise 2000ms infinite;
    opacity: 0.9;
    z-index: 0;
}

@keyframes bg-noise {
    0% { transform: translate(0,0) }
    10% { transform: translate(-5%,-5%) }
    20% { transform: translate(-10%,5%) }
    30% { transform: translate(5%,-10%) }
    40% { transform: translate(-5%,15%) }
    50% { transform: translate(-10%,5%) }
    60% { transform: translate(15%,0) }
    70% { transform: translate(0,10%) }
    80% { transform: translate(-15%,0) }
    90% { transform: translate(10%,5%) }
    100% { transform: translate(5%,0) }
}

.website__header {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: auto;
    width: 5rem;
    padding: 1.5rem 0.75rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    isolation: isolate;
    background-color: var(--cl-light);
}
.website__header:after {
    content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    left: 100%;
    width: 1px;
    background-color: var(--cl-black-02);
}

.logged-in .website__header {
    top: 32px;
}
@media screen and (max-width: 782px) {
    .logged-in .website__header {
        top: 46px;
    }
}

.main__header--logo {
    margin-bottom: 25px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.main__header--logo a {
    display: inline-block;
}

.main__header--menu {
    position: relative;
    z-index: 20;
}

/*/*/

.main__header--navigation {
    transition: all 1s cubic-bezier(0.8, 0, 0.2, 1) 0s;
    position: fixed;
    inset: 0 0 0 auto;
    z-index: 5;
    width: 100%;
    translate: -100% 0;
    z-index: -2;
}
.main__header--navigation:after,
.main__header--navigation:before {
    transition: all 1s cubic-bezier(0.8, 0, 0.2, 1) 0s;
    content: "";
    position: absolute;
    inset: 0px;
    height: 100%;
    translate: -100% 0;
}
.main__header--navigation:before {
    z-index: 1;
    background: var(--cl-cyan);
}
.main__header--navigation:after {
    z-index: 2;
    background: var(--cl-light);
    transition-delay: 250ms;
}
.header__navigation--active {
    translate: 0 0;
}
.header__navigation--active:after,
.header__navigation--active:before {
    translate: 0 0;
}
.header__navigation--wrapper {
    position: absolute;
    inset: 0;
    z-index: 3;
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0;
    transition: all 150ms ease-in-out;
    transition-delay: 0s;
    padding-left: 5rem;
}
.header__navigation--active .header__navigation--wrapper {
    opacity: 1;
    transition: all 300ms ease-in-out;
    transition-delay: 1s;
}

/*/*/

.main__navigation {
    height: 100%;
    width: 100%;
    display: flex;
}
.menu-main-menu-container {
    height: 100%;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}
.main__navigation .menu {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-evenly;
}
.main__navigation .menu li {
    margin: 1vw 0;
}
.main__navigation .menu a {
    font-family: var(--ff-secondary);
    text-transform: uppercase;
    font-size: 5vw;
    position: relative;
    transition: all 300ms ease-in-out;
}
.main__navigation .menu a span {
    position: absolute;
    top: 0.25rem;
    left: calc(100% + 0.5rem);
    font-size: 1vw;
}
.main__navigation .menu a:hover {
    color: var(--cl-cyan);
}

/*/*/

.main__header--scheme {
    margin-top: auto;
    margin-bottom: auto;
}
.color__scheme--toggle {
    padding: 0.75rem;
    cursor: pointer;
    opacity: 0.5;
    transition: all 150ms ease-in-out;
    translate: 0 -2rem;
}
.color__scheme--toggle svg {
    height: 1.5rem;
    width: 1.5rem;
    stroke: var(--cl-dark);
    fill: var(--cl-dark);
    transition: all 150ms ease-in-out;
}
.color__scheme--toggle:hover {
    opacity: 1;
}
.color__scheme--toggle:hover svg {
    stroke: var(--cl-cyan);
    fill: var(--cl-cyan);
}

/*/*/

.main__header--current {
    height: 40vh;
    width: 3rem;
    aspect-ratio: 1;
    position: absolute;
    bottom: 4.5rem;
    display: flex;
    align-items: center;
    justify-content: center;
}
.header__currnet--wrapper {
    height: 100%;
    aspect-ratio: 1;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    rotate: -90deg;
}
.header__current--name {
    flex-grow: 1;
    padding-right: 3rem;
    padding-bottom: 5px;
}
.header__current--name span {
    font-size: 0.625rem;
    font-weight: 400;
    letter-spacing: 1px;
    text-transform: uppercase;
    opacity: 1;
    transition: all 300ms ease-in-out;
}
.header__current--arrows {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-right: 0.5rem;
    gap: 0.25rem;
}
.header__current--arrows svg {
    fill: var(--cl-black-02);
    rotate: 90deg;
    transition: all 300ms ease-in-out;
}
.header__current--active svg {
    rotate: 180deg;
}
.header__current--active span {
    opacity: 0;
}

/*/*/

.main__header--noise {
    position: absolute;
    inset: 0;
    z-index: -1;
    overflow: hidden;
}
.main__header--noise:after {
    content: "";
    position: absolute;
    top: -100%;
    left: -100%;
    right: -100%;
    bottom: -100%;
    width: 400%;
    height: 400vh;
    background-color: transparent;
    background-image: url('../images/noise-transparent.png');
    background-repeat: repeat-y;
    background-position: top center;
    animation: bg-noise 2000ms infinite;
    opacity: 0.9;
    z-index: 0;
}

/*/*/

.home__intro--section {
    padding-left: 10vw;
    padding-right: 10vw;
    padding-top: 15rem;
}
.home__text--heading {
    position: relative;
    margin-bottom: 6vw;
}
.home__text--heading h1 {
    font-size: 4vw;
    line-height: 5vw;
}
.home__text--heading label {
    font-family: var(--ff-tertiaty);
    font-weight: 700;
    font-size: var(--fs-32);
    color: var(--cl-cyan);
    max-width: 250px;
    text-align: center;
    line-height: 1;
    -webkit-transform: rotate(-18deg);
    transform: rotate(-18deg);
    position: absolute;
    top: -55px;
    left: -110px;
}
.home__text--text {
    max-width: 75%;
    column-count: 2;
    column-gap: 6vw;
}

/* ============================================ */
/* =============== Media Queries ============== */
/* ============================================ */

@media only screen and (max-width: 1439px) {
}
@media only screen and (max-width: 1199px) {
}
@media only screen and (max-width: 1023px) {
}
@media only screen and (max-width: 767px) {
}

/* ============================================ */
/* =============== Extra Styles =============== */
/* ============================================ */

.grecaptcha-badge {
    opacity: 0 !important;
    visibility: hidden !important;
}

.main__header--language .trp-language-switcher {
    width: 3rem;
    height: 2rem;
}
.main__header--language .trp-language-switcher .trp-ls-shortcode-current-language {
    display: none !important;
}
.main__header--language .trp-language-switcher .trp-ls-shortcode-language {
    display: flex !important;
    align-items: center;
    justify-content: center;
    all: unset;
    width: 100% !important;
    height: 100%;
}
.main__header--language .trp-language-switcher .trp-ls-shortcode-language .trp-ls-shortcode-disabled-language {
    display: none !important;
}
.main__header--language .trp-language-switcher .trp-ls-shortcode-language > a {
    all: unset;
    height: 100%;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    transition: all 150ms ease-in-out;
    font-weight: 600;
    font-size: var(--fs-xs);
}
.main__header--language .trp-language-switcher .trp-ls-shortcode-language > a:hover {
    all: unset;
    height: 100%;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    color: var(--cl-cyan);
    font-weight: 600;
    font-size: var(--fs-xs);
}